---
title: "Get ABAC attributes"
url: https://hexelstudio.com/docs/api/ciam-iam/abac/get-abac-attributes
---

# Get ABAC attributes

**GET** `/abac/attributes`

Lists the caller's organization's attributes of an entity.

## Query parameters

- `entity_type: string`

  Entity Type

- `entity_id: string`

  Entity ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of ABACAttribute`)

- `attribute_key: optional string`

- `attribute_value: optional string`

- `created_at: optional string`

- `entity_id: optional string`

- `entity_type: optional string`

- `id: optional string`

- `organization_id: optional string`

- `updated_at: optional string`

- `value_type: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/abac/attributes?entity_type=ENTITY_TYPE&entity_id=ENTITY_ID' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "attribute_key": "string",
    "attribute_value": "string",
    "created_at": "2026-01-01T00:00:00Z",
    "entity_id": "string",
    "entity_type": "string",
    "id": "string",
    "organization_id": "string",
    "updated_at": "2026-01-01T00:00:00Z",
    "value_type": "string"
  }
]
```
